## org.apache.cassandra.thrift
Class Cassandra.remove_args

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.remove_args

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.remove_args>, org.apache.thrift.TBase<Cassandra.remove_args,Cassandra.remove_args._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.remove_args

extends java.lang.Object
implements org.apache.thrift.TBase<Cassandra.remove_args,Cassandra.remove_args._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` `Cassandra.remove_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`ColumnPath` `column_path`
`ConsistencyLevel` `consistency_level`
`java.nio.ByteBuffer` `key`
`static java.util.Map<Cassandra.remove_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `timestamp`

Constructor Summary
`Cassandra.remove_args()`
`Cassandra.remove_args(java.nio.ByteBuffer key, ColumnPath column_path, long timestamp, ConsistencyLevel consistency_level)`
`Cassandra.remove_args(Cassandra.remove_args other)` Performs a deep copy on other.

Method Summary
`java.nio.ByteBuffer` `bufferForKey()`
`void` `clear()`
`int` `compareTo(Cassandra.remove_args other)`
`Cassandra.remove_args` `deepCopy()`
`boolean` `equals(Cassandra.remove_args that)`
`boolean` `equals(java.lang.Object that)`
`Cassandra.remove_args._Fields` `fieldForId(int fieldId)`
`ColumnPath` `getColumn_path()`
`ConsistencyLevel` `getConsistency_level()`
`java.lang.Object` `getFieldValue(Cassandra.remove_args._Fields field)`
`byte[]` `getKey()`
`long` `getTimestamp()`
`int` `hashCode()`
`boolean` `isSet(Cassandra.remove_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn_path()` Returns true if field column_path is set (has been assigned a value) and false otherwise
`boolean` `isSetConsistency_level()` Returns true if field consistency_level is set (has been assigned a value) and false otherwise
`boolean` `isSetKey()` Returns true if field key is set (has been assigned a value) and false otherwise
`boolean` `isSetTimestamp()` Returns true if field timestamp is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`Cassandra.remove_args` `setColumn_path(ColumnPath column_path)`
`void` `setColumn_pathIsSet(boolean value)`
`Cassandra.remove_args` `setConsistency_level(ConsistencyLevel consistency_level)`
`void` `setConsistency_levelIsSet(boolean value)`
`void` `setFieldValue(Cassandra.remove_args._Fields field, java.lang.Object value)`
`Cassandra.remove_args` `setKey(byte[] key)`
`Cassandra.remove_args` `setKey(java.nio.ByteBuffer key)`
`void` `setKeyIsSet(boolean value)`
`Cassandra.remove_args` `setTimestamp(long timestamp)`
`void` `setTimestampIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetColumn_path()`
`void` `unsetConsistency_level()`
`void` `unsetKey()`
`void` `unsetTimestamp()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    public java.nio.ByteBuffer key

### column_path

    public ColumnPath column_path

### timestamp

    public long timestamp

### consistency_level

    public ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

### metaDataMap

    public static final java.util.Map<Cassandra.remove_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### Cassandra.remove_args

    public Cassandra.remove_args()

### Cassandra.remove_args

    public Cassandra.remove_args(java.nio.ByteBuffer key,
                                 ColumnPath column_path,
                                 long timestamp,
                                 ConsistencyLevel consistency_level)

### Cassandra.remove_args

    public Cassandra.remove_args(Cassandra.remove_args other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public Cassandra.remove_args deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.remove_args,Cassandra.remove_args._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<Cassandra.remove_args,Cassandra.remove_args._Fields>`

### getKey

    public byte[] getKey()

### bufferForKey

    public java.nio.ByteBuffer bufferForKey()

### setKey

    public Cassandra.remove_args setKey(byte[] key)

### setKey

    public Cassandra.remove_args setKey(java.nio.ByteBuffer key)

### unsetKey

    public void unsetKey()

### isSetKey

    public boolean isSetKey()

  Returns true if field key is set (has been assigned a value) and false otherwise

### setKeyIsSet

    public void setKeyIsSet(boolean value)

### getColumn_path

    public ColumnPath getColumn_path()

### setColumn_path

    public Cassandra.remove_args setColumn_path(ColumnPath column_path)

### unsetColumn_path

    public void unsetColumn_path()

### isSetColumn_path

    public boolean isSetColumn_path()

  Returns true if field column_path is set (has been assigned a value) and false otherwise

### setColumn_pathIsSet

    public void setColumn_pathIsSet(boolean value)

### getTimestamp

    public long getTimestamp()

### setTimestamp

    public Cassandra.remove_args setTimestamp(long timestamp)

### unsetTimestamp

    public void unsetTimestamp()

### isSetTimestamp

    public boolean isSetTimestamp()

  Returns true if field timestamp is set (has been assigned a value) and false otherwise

### setTimestampIsSet

    public void setTimestampIsSet(boolean value)

### getConsistency_level

    public ConsistencyLevel getConsistency_level()

  See Also:
    `ConsistencyLevel`

### setConsistency_level

    public Cassandra.remove_args setConsistency_level(ConsistencyLevel consistency_level)

  See Also:
    `ConsistencyLevel`

### unsetConsistency_level

    public void unsetConsistency_level()

### isSetConsistency_level

    public boolean isSetConsistency_level()

  Returns true if field consistency_level is set (has been assigned a value) and false otherwise

### setConsistency_levelIsSet

    public void setConsistency_levelIsSet(boolean value)

### setFieldValue

    public void setFieldValue(Cassandra.remove_args._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.remove_args,Cassandra.remove_args._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.remove_args._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.remove_args,Cassandra.remove_args._Fields>`

### isSet

    public boolean isSet(Cassandra.remove_args._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.remove_args,Cassandra.remove_args._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Cassandra.remove_args that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Cassandra.remove_args other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Cassandra.remove_args>`

### fieldForId

    public Cassandra.remove_args._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.remove_args,Cassandra.remove_args._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<Cassandra.remove_args,Cassandra.remove_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<Cassandra.remove_args,Cassandra.remove_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Copyright © 2011 The Apache Software Foundation